Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class GetViewServiceInvoker

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.GetViewServiceInvoker

Direct Known Subclasses:
  WCSInvoker, WFSInvoker, WMSInvoker

    public abstract class GetViewServiceInvoker

extends Object

Abstract super class for all invokers. Concrete implementations of this class call specific services in order to request data from them.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Field Summary
`protected ResolutionStripe` | `resolutionStripe` The stripe to valid vor the invoked service.

Constructor Summary
`GetViewServiceInvoker(ResolutionStripe owner)`

Method Summary
`abstract void` | `invokeService(AbstractDataSource dataSource)` The implementation of this method should invoke a webservice specified by the given AbstractDataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolutionStripe

    protected ResolutionStripe resolutionStripe

  The stripe to valid vor the invoked service.

Constructor Detail

### GetViewServiceInvoker

    public GetViewServiceInvoker(ResolutionStripe owner)

Parameters:
  `owner` - the ResolutionStripe (part of the users viewing area) which this service will be called/invoked for.

Method Detail

### invokeService

    public abstract void invokeService(AbstractDataSource dataSource)

  The implementation of this method should invoke a webservice specified by the given AbstractDataSource. The Services response to the Request shall be saved in the ResolutionStripe.

  Parameters:
    `dataSource` - a class containing the necessary data to invoke a service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org